---
title: 'PictureInPictureWindow: resize event'
slug: Web/API/PictureInPictureWindow/resize_event
tags:
  - API
  - Event
  - Picture-in-Picture
  - Picture-in-Picture API
  - Video
  - pip
  - resize
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <strong><code>resize</code></strong> event fires when the floating video window has been resized.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PictureInPictureWindow")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("PictureInPictureWindow.onresize", "onresize")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Window_size_logger">Window size logger</h3>

<pre class="brush: html notranslate">&lt;p&gt;Resize the floating video window to fire the &lt;code&gt;resize&lt;/code&gt; event.&lt;/p&gt;
&lt;p&gt;Window height: &lt;span id="height"&gt;&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;Window width: &lt;span id="width"&gt;&lt;/span&gt;&lt;/p&gt;
&lt;video id="video" src="" muted autoplay&gt;&lt;/video&gt;
</pre>

<pre class="brush: js notranslate line-numbers language-js"><code class="language-js"><span class="keyword token">const</span> video <span class="operator token">=</span> document<span class="punctuation token">.</span><span class="function token">querySelector</span><span class="punctuation token">(</span><span class="string token">'#video'</span><span class="punctuation token">)</span><span class="punctuation token">;</span>
<span class="keyword token">const</span> heightOutput <span class="operator token">=</span> document<span class="punctuation token">.</span><span class="function token">querySelector</span><span class="punctuation token">(</span><span class="string token">'#height'</span><span class="punctuation token">)</span><span class="punctuation token">;</span>
<span class="keyword token">const</span> widthOutput <span class="operator token">=</span> document<span class="punctuation token">.</span><span class="function token">querySelector</span><span class="punctuation token">(</span><span class="string token">'#width'</span><span class="punctuation token">)</span><span class="punctuation token">;</span>

<span class="keyword token">function</span> <span class="function token">resize</span><span class="punctuation token">(</span><span class="parameter token">evt</span><span class="punctuation token">)</span> <span class="punctuation token">{</span>
  heightOutput<span class="punctuation token">.</span>textContent <span class="operator token">=</span> evt<span class="punctuation token">.</span>target<span class="punctuation token">.</span>width<span class="punctuation token">;</span>
  widthOutput<span class="punctuation token">.</span>textContent <span class="operator token">=</span> evt<span class="punctuation token">.</span>target<span class="punctuation token">.</span>width<span class="punctuation token">;</span>
<span class="punctuation token">}</span>

video<span class="punctuation token">.</span><span class="function token">requestPictureInPicture</span><span class="punctuation token">(</span><span class="punctuation token">)</span>
  <span class="punctuation token">.</span><span class="function token">then</span><span class="punctuation token">(</span><span class="parameter token">pictureInPictureWindow</span> <span class="operator token">=&gt;</span> <span class="punctuation token">{</span>
    pictureInPictureWindow<span class="punctuation token">.</span>onresize <span class="operator token">=</span> resize<span class="punctuation token">;</span>
  <span class="punctuation token">}</span><span class="punctuation token">)</span><span class="punctuation token">;</span></code></pre>

<h3 id="addEventListener_equivalent">addEventListener equivalent</h3>

<p>You could set up the event handler using the <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener()</a></code> method:</p>

<pre class="brush: js notranslate">pictureInPictureWindow.addEventListener('resize', resize);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('Picture-in-Picture', '#eventdef-pictureinpicturewindow-resize', 'resize')}}</td>
   <td>{{Spec2('Picture-in-Picture')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PictureInPictureWindow.resize_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PictureInPictureWindow.onresize")}}</li>
</ul>
